Bug 1313396 - Unexpected not productized artifact in EAP 6.4 maven repo zip
Unexpected not productized artifact in EAP 6.4 maven repo zip
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository (Show other bugs)
6.4.7
Unspecified Unspecified
unspecified Severity urgent
: CR2
: EAP 6.4.7
Assigned To: Vladimir Dosoudil
Jiří Bílek
:
Depends On:
Blocks: 1313383
  Show dependency treegraph
 
Reported: 2016-03-01 09:26 EST by Jiří Bílek
Modified: 2017-01-17 09:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 09:48:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiří Bílek 2016-03-01 09:26:40 EST
Description of problem:

Maven repo zip contains 205 not productized artifacts.
They were not present in EAP 6.4.6 CR2.


Link to the artifacts list:
http://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP-6.4.x-CP/job/eap-64x-patched-repository-maven-check-productized-files/20/artifact/notProductized-upstream.txt

Version-Release number of selected component (if applicable):
EAP 6.4.7 CR2
Comment 1 Vladimir Dosoudil 2016-03-02 02:12:30 EST
The script for removing artifacts available in central doesn't remove leading characters './' in the variable with pom/jar location in the zip before composing URL to check availability of the artifact in central.
Comment 2 Vladimir Dosoudil 2016-03-02 02:28:53 EST
The script has been fixed to remove leading characters './' and extra '/' to use precise URL string for checking availability of artifacts in central.
http://git.app.eng.bos.redhat.com/git/jboss-eap/maven-repository-testsuite.git/commit/?id=a0d3272

It will be used in next run of the Maven repository Jenkins job.
Comment 3 Vladimir Dosoudil 2016-03-02 03:59:43 EST
Fixed EAP Maven repository zip(s) built. It's going to be released as respin CR2.1.
Comment 5 Jiří Bílek 2016-03-08 04:05:16 EST
Verified with EAP 6.4.7.CP.CR2.1.
Comment 7 Petr Penicka 2017-01-17 09:48:32 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.